curl --request POST \
--url https://api.octen.ai/v1/agent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"role": "user",
"content": "Who won the 2026 Nobel Prize in Physiology or Medicine?"
}
],
"tier": "low",
"stream": true
}
'{
"request_id": "20261016092031207H5RC2LJ9ZB",
"task_id": "agent-2b8e6d41c9a04f7e93d5a1c0e6b7f284",
"tier": "low",
"status": "queued",
"created_at": 1793608547
}Applications
Search Agent API Reference
Runs a Search Agent task that answers a question with cited sources, as a Markdown answer or as JSON that matches your schema.
POST
/
v1
/
agent
curl --request POST \
--url https://api.octen.ai/v1/agent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"role": "user",
"content": "Who won the 2026 Nobel Prize in Physiology or Medicine?"
}
],
"tier": "low",
"stream": true
}
'{
"request_id": "20261016092031207H5RC2LJ9ZB",
"task_id": "agent-2b8e6d41c9a04f7e93d5a1c0e6b7f284",
"tier": "low",
"status": "queued",
"created_at": 1793608547
}Authorizations
bearerAuthapiKeyAuth
Body
application/json
Request body for the Search Agent API.
Response
Successful Search Agent response. When stream=false, the task starts in queued. When stream=true, returns a stream of chunks.
- Non-streaming
- Streaming
A non-streaming Search Agent response. Returned when stream=false.
Was this page helpful?